import random


N = 100000
TA = 3000
TB = 6000
T1 = 1200
T2 = 1500
k = 4548

A = random.randint(0, N)
B = N - A
Na = k*10-B/2
Nb = (k-0.1*A)/0.05

print(f"A: {A}, B: {B}")
print(f"A: {Na}, B: {Nb}")

# pravděpodobnost rozpadu jednotlivých prvků v intervalu T1,T2
RA = (T2-T1)/TA  # 0.1
RB = (T2-T1)/TB  # 0.05

# počet rozpadlých atomů v intervalu
NB = 2*k/3  # 3032
NA = k-NB  # 1516

print(RA, RB)
print(NB, k-NB)
